petsc-3.12.4 2020-02-04
Report Typos and Errors

# CHKERRMPI

Checks error code, if non-zero it calls the error handler and then returns

### Synopsis

    #include <petscsys.h>
    PetscErrorCode CHKERRMPI(PetscErrorCode ierr)

Not Collective

### Input Parameters

ierr -nonzero error code, see the list of standard error codes in include/petscerror.h

### Notes

This macro is FOR USE IN MPI CALLBACK FUNCTIONS ONLY, such as those passed to MPI_Comm_create_keyval(). It always returns the error code PETSC_MPI_ERROR_CODE which is registered with MPI_Add_error_code() when PETSc is initialized.

### See Also

CHKERRQ(), PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), SETERRQ(), CHKMEMQ, SETERRQ1(), SETERRQ2(), SETERRQ2()

### Level

developer

### Location

src/sys/error/../../../include/petscerror.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages